@import url("https://fonts.googleapis.com/css2?family=Playfair+Display:ital,wght@0,400..900;1,400..900&family=Roboto:ital,wght@0,100..900;1,100..900&display=swap");

* {
  margin: 0px;
  padding: 0px;
  box-sizing: border-box;
  text-decoration: none;
  font-family: "Roboto";
}

body {
  background: linear-gradient(#263466 50%, #f1f1f1 50%);
  width: 100vw;
  height: 100vh;
  display: flex;
  align-items: center;
  justify-content: center;
}

.login {
  width: 28.125rem;
  height: 37.5rem;
  padding: 1.563rem 3.125rem;
  background: #fff;
  border-radius: 0.625rem;
  box-shadow: 0px 2px 20px 4px rgba(0, 0, 0, 0.1);

  display: flex;
  flex-direction: column;
  justify-content: end;
  gap: 1.25rem;
}

/* logo */

.logo {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 0.625rem;
  margin-bottom: 0.625rem;
}

.circulo1 {
  width: 4.375rem;
  height: 4.375rem;
  background: #263466;
  border-radius: 50%;

  display: flex;
  justify-content: center;
  align-items: center;
}

.circulo2 {
  width: 3.75rem;
  height: 3.75rem;
  background: #fff;
  border-radius: 50%;
}

.logo p {
  font-size: 1.5rem;
  font-family: "Playfair Display";
  color: #263466;
}

/* form geral */

.login-form {
  display: flex;
  flex-direction: column;
  gap: 1.25rem;
}

/* labels form */

.inLogin p {
  font-size: 0.938rem;
  margin-bottom: 5px;
  color: #888;
  cursor: pointer;
}

.inLogin input {
  width: 100%;
  height: 3.438rem;
  cursor: pointer;
  margin-bottom: 5px;
  padding: 0.5rem;
  font-size: 1.5rem;
}

/* checkbox login */

.inCheckbox {
  display: flex;
  gap: 5px;
}

.inCheckbox input {
  cursor: pointer;
}

.inCheckbox p {
  font-size: 0.938rem;
  color: #999;
  cursor: pointer;
}

/* submit */

.inSubmit {
  width: 100%;
  height: 3.438rem;
  font-size: 1.125rem;
  color: #fff;
  font-weight: bold;
  text-transform: uppercase;
  background: #263466;
  cursor: pointer;
}

.inSubmit:hover {
  background: #153455;
  transition: 0.3s;
}

/* register - forgot password */

.register-forgotPass {
  display: flex;
  justify-content: space-between;
}

.register-forgotPass a {
  color: #999;
  font-size: 0.938rem;
}

.register-forgotPass a:hover {
  color: #263466;
  transition: 0.3s;
}

/* back github */

.back-github {
  font-size: 1rem;
  color: #999;
}

.back-github::before {
  content: "\2190";
  font-size: 2rem;
}

.back-github:hover {
  color: #263466;
  transition: 0.3s;
}

/* responsividade */

@media (max-width: 478px) {
  .login {
    width: 20rem;
  }
}

@media (max-width: 478px) {
  .login {
    width: 15rem;
    align-items: center;
    justify-content: center;
  }

  .circulo1 {
    width: 3rem;
    height: 3rem;
  }

  .circulo2 {
    width: 2.5rem;
    height: 2.5rem;
  }

  .logo p {
    font-size: 1.2rem;
    text-align: center;
  }

  .inLogin input {
    height: 2.5rem;
    padding: 0.5rem;
    font-size: 1rem;
  }

  .register-forgotPass {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    text-align: center;
  }

  .inSubmit {
    height: 2.5rem;
    font-size: 0.9rem;
  }
}
